MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003214VCMIAI - Battlespublic2022-05-04 05:542022-05-15 13:04
ReporterPovelitel 
Assigned ToNullkiller 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
Platform64OSWindowsOS Version10
Product Version 
Target VersionFixed in Version0.next 
Summary0003214: WOG 9.0.2 : lich casting a wave of death
DescriptionIt's pretty hard to reproduce from a save. In wog, unit abilities are changed and liches have a 10% chance to cast a wave of death. It was at this moment that my game crashed when a stack of liches killed a single griffin (two-celled, perhaps this is the problem and the angle of attack matters, since there were cases when the wave of death was cast, but the game did not fall. the most common case is when the bottom liche stack went up and killed the top one.)

Из сейва это довольно тяжело воспроизвести. В воге оказывается изменены абилки юнитов и личи имеют 10% шанс кастонуть волну смерти. Именно в этот момент у меня игра упала, когда стек личей убил единичку грифона (двухклеточного, возможно в этом проблема и имеет значение угол атаки, так как бывали случаи когда волна смерти кастовалась, но игра не падала. самый распространенный случай это когда нижний стек личей шел вверх и убивал верхнюю единичку.)

here are links to dumps
https://drive.google.com/file/d/1KKTlC5kRND1Xarvz321zljpEm6cpq_Qo/view?usp=sharing [^]
https://drive.google.com/file/d/18LBO7v9mQGJsiQIl2xWcw7DUFG19_fKD/view?usp=sharing [^]
TagsNo tags attached.
Attached Filesrar file icon Saves9.rar [^] (1,427,842 bytes) 2022-05-04 05:54

- Relationships

-  Notes
(0008294)
Povelitel (updater)
2022-05-15 13:04

fixed here: https://github.com/vcmi/vcmi/pull/738/commits/b269d7fed6f16318bc677f128baa061ce7d213e3 [^]

- Issue History
Date Modified Username Field Change
2022-05-04 05:54 Povelitel New Issue
2022-05-04 05:54 Povelitel File Added: Saves9.rar
2022-05-14 15:22 Povelitel Status new => resolved
2022-05-14 15:22 Povelitel Fixed in Version => 0.next
2022-05-14 15:22 Povelitel Resolution open => fixed
2022-05-14 15:22 Povelitel Assigned To => Nullkiller
2022-05-15 13:04 Povelitel Note Added: 0008294

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean